Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class PropertyImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
          com.tonbeller.jpivot.olap.model.impl.PropertyImpl

All Implemented Interfaces:
  Alignable, Decorator, Displayable, Property, PropertyHolder, Visitable

Direct Known Subclasses:
  MondrianMember.MondrianProp

    public class PropertyImpl

extends PropertyHolderImpl
implements Property

Created on 11.10.2002

Author:
  av

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.model.Alignable
`Alignable.Alignment`

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`PropertyImpl()`
`PropertyImpl(java.lang.String name, java.lang.String value)`
`PropertyImpl(java.lang.String name, java.lang.String value, Alignable.Alignment alignment)`
`PropertyImpl(java.lang.String name, java.lang.String label, java.lang.String value, Alignable.Alignment alignment)`

Method Summary
`void` | `accept(Visitor visitor)`
`Alignable.Alignment` | `getAlignment()`
`java.lang.String` | `getLabel()` name of this item
`java.lang.String` | `getName()`
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`java.lang.String` | `getValue()` the value of the property
`boolean` | `isNormalizable()` if true, this property may be a nested property whose path is specified by '.' in its name.
`void` | `setAlignment(Alignable.Alignment alignment)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setNormalizable(boolean normalizable)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.PropertyHolderImpl
`addProperty, getProperties, getProperty, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.PropertyHolder
`getProperties, getProperty`

Constructor Detail

### PropertyImpl

    public PropertyImpl()

### PropertyImpl

    public PropertyImpl(java.lang.String name,
                        java.lang.String value)

### PropertyImpl

    public PropertyImpl(java.lang.String name,
                        java.lang.String value,
                        Alignable.Alignment alignment)

### PropertyImpl

    public PropertyImpl(java.lang.String name,
                        java.lang.String label,
                        java.lang.String value,
                        Alignable.Alignment alignment)

Method Detail

### getAlignment

    public Alignable.Alignment getAlignment()

  Specified by:
    `getAlignment` in interface `Alignable`

### setAlignment

    public void setAlignment(Alignable.Alignment alignment)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Property`
  Returns:
    the name of the Property

### getValue

    public java.lang.String getValue()

  Description copied from interface: `Property`
  the value of the property

  Specified by:
    `getValue` in interface `Property`

### setName

    public void setName(java.lang.String name)

### setValue

    public void setValue(java.lang.String value)

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`

### isNormalizable

    public boolean isNormalizable()

  Description copied from interface: `Property`
  if true, this property may be a nested property whose path is specified by '.' in its name.

  Specified by:
    `isNormalizable` in interface `Property`

### setNormalizable

    public void setNormalizable(boolean normalizable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD